package cn.com.tenlion.systembase.pojo.bos.publicvideo;

/**
 *
 * @ClassName: PublicVideoBO
 * @Description: 城乡社区公共安全视频监控
 * @Author: CodeFactory
 * @Date: 2021-10-13 16:53:02
 * @Version: 3.0
 **/
public class PublicVideoBO {

    private String publicVideoId;
    private String ruralName;
    private String ruralPhone;
    private Double ruralArea;
    private Integer ruralPopulation;
    private Integer publicCamera;
    private Integer hdCamera;
    private Integer ruralCamera;
    private Integer dayCamera;
    private Integer squareCamera;
    private Integer hundredCamera;

    public String getPublicVideoId() {
        return publicVideoId == null ? "" : publicVideoId.trim();
    }

    public void setPublicVideoId(String publicVideoId) {
        this.publicVideoId = publicVideoId;
    }

    public String getRuralName() {
        return ruralName == null ? "" : ruralName.trim();
    }

    public void setRuralName(String ruralName) {
        this.ruralName = ruralName;
    }

    public String getRuralPhone() {
        return ruralPhone == null ? "" : ruralPhone.trim();
    }

    public void setRuralPhone(String ruralPhone) {
        this.ruralPhone = ruralPhone;
    }

    public Double getRuralArea() {
        return ruralArea == null ? 0D : ruralArea;
    }

    public void setRuralArea(Double ruralArea) {
        this.ruralArea = ruralArea;
    }

    public Integer getRuralPopulation() {
        return ruralPopulation == null ? 0 : ruralPopulation;
    }

    public void setRuralPopulation(Integer ruralPopulation) {
        this.ruralPopulation = ruralPopulation;
    }

    public Integer getPublicCamera() {
        return publicCamera == null ? 0 : publicCamera;
    }

    public void setPublicCamera(Integer publicCamera) {
        this.publicCamera = publicCamera;
    }

    public Integer getHdCamera() {
        return hdCamera == null ? 0 : hdCamera;
    }

    public void setHdCamera(Integer hdCamera) {
        this.hdCamera = hdCamera;
    }

    public Integer getRuralCamera() {
        return ruralCamera == null ? 0 : ruralCamera;
    }

    public void setRuralCamera(Integer ruralCamera) {
        this.ruralCamera = ruralCamera;
    }

    public Integer getDayCamera() {
        return dayCamera == null ? 0 : dayCamera;
    }

    public void setDayCamera(Integer dayCamera) {
        this.dayCamera = dayCamera;
    }

    public Integer getSquareCamera() {
        return squareCamera == null ? 0 : squareCamera;
    }

    public void setSquareCamera(Integer squareCamera) {
        this.squareCamera = squareCamera;
    }

    public Integer getHundredCamera() {
        return hundredCamera == null ? 0 : hundredCamera;
    }

    public void setHundredCamera(Integer hundredCamera) {
        this.hundredCamera = hundredCamera;
    }

}
